﻿using UnityEngine;
using System.Collections;

public class Menu : MonoBehaviour {

	// Plik stanowi część kursu Unity3d QuickTip 
	// Autor: Marek Winiarski - http://mwin.pl
	// Pobrano z: http://mwin.pl
	
	public GUISkin menuSkin;
	public Rect menuArea;
	public Rect playButton;
	public Rect scoreButton;
	public Rect quitButton;
	Rect normalizedMenuArea;

	void Start()
	{
		normalizedMenuArea = new Rect(menuArea.x * Screen.width - (menuArea.width * 0.5f),
		                              menuArea.y * Screen.height - (menuArea.height * 0.5f),
		                              menuArea.width, menuArea.height);	
	}

	void OnGUI() 
	{
		GUI.skin = menuSkin;
		GUI.BeginGroup(normalizedMenuArea);
			if(GUI.Button(new Rect(playButton), "Play")) {
				Application.LoadLevel("Level1");	
			}

			if(GUI.Button(new Rect(scoreButton), "Score")) {
				Application.LoadLevel("Scores");	
			}

			if(Application.platform != RuntimePlatform.OSXWebPlayer && Application.platform != RuntimePlatform.WindowsWebPlayer) {
				if(GUI.Button(new Rect(quitButton), "Quit")) {
					Application.Quit();
					Debug.Log ("Have Quit");
				}
			}
		GUI.EndGroup();
	}
}
